查询换汇订单
该API用于查询换汇订单信息
在换汇订单创建并执行完成后,可通过该接口查询订单的最新状态、成交信息及相关交易详情。
请使用专有账号
user=040268
API URL:https://mapi.yabandpay.com/Payments
Method:POST
POST data type:Json
| 参数 | 类型 | 描述 | 是否必填 |
|---|---|---|---|
| user | String | Merchant级的UID | 必填 |
| sign | String | 签名 | 必填 |
| method | String | v3.QueryFXOrder | 必填 |
| time | Long | 时间戳 | 必填 |
- 参数
| 参数 | 类型 | 描述 | 是否必填 |
|---|---|---|---|
| trade_id | String | 询价的id | 必填 |
| request_id | String | 请求id需保持唯一,建议24以上位数字+字母 | 必填 |
签名示例:
拼接为URL方式并排序后的字符串
"method=v3.QueryFXOrder&request_id=20304095064069023960369q-11&time=1546588959&trade_id=6e5cf660fb58455cd68a413a8249061a&user=040268"
得到的 stringA 使用 secret_key做签名
得到的签名如下:
"78643e38402ca2fd2168a82c450cd10341285f79b8c4b587907d5a1c30bbbcee"
提交示例:
{
"user": "040268",
"sign": "78643e38402ca2fd2168a82c450cd10341285f79b8c4b587907d5a1c30bbbcee",
"method": "v3.QueryFXOrder",
"time": 1546588959,
"data": {
"trade_id": "6e5cf660fb58455cd68a413a8249061a",
"request_id": "20304095064069023960369q-11"
}
}
返回示例:
{
"status": true,
"code": "200",
"data": {
"booking_status": "success",
"settlement_status": "settled",
"sell_currency": "GBP",
"buy_currency": "DKK",
"sold_currency": "GBP",
"sold_amount": "1.00",
"bought_currency": "DKK",
"bought_amount": "8.54",
"tenor": "TOD",
"exchange_rate": "8.544924729",
"order_id": "202603051019-16",
"quote_id": "83e96dc0-8f8e-48c7-9bc4-6acc1019fced",
"trade_id": "6e5cf660fb58455cd68a413a8249061a",
"reference": "YB test"
},
"message": "",
"response_id": "202603181711118835985708"
}
更多信息:
返回结果:
- 调用成功,则返回
"status": true - 调用失败,则返回
"status": false
返回代码:
| Status | Code | Message |
|---|---|---|
| true | 200 | |
| false | -1000 | Internal error |
| false | -403 | The signature Error |
| false | -2001 | The user not exist |
| false | -3001 | Required field is missing |
| false | -4118 | Incorrect request ID |
booking_status
| Status | Description |
|---|---|
| success | The FX booking request was successfully processed and the order has been created or executed. |
| failed | The request failed due to an internal system error. Please retry later or contact technical support if the issue persists. |
| pending | The request is pending because the request signature verification failed. Please verify the signature parameters and try again. |
| reversed | The request could not be processed because the specified user does not exist in the system. |
| rolled | The request was rejected because one or more required fields are missing in the request parameters. |
| updated | The request ID provided is incorrect or does not match any existing transaction. |
settlement_status:
| Status | Description |
|---|---|
| open | The FX order has been successfully created and is awaiting settlement. |
| settled | The FX transaction has been fully settled and the funds have been delivered according to the agreed tenor. |
| pending | The FX order has been created but settlement has not yet been completed. This may occur while waiting for the settlement date (e.g., SPOT T+2). |
| cancelled | The FX order has been cancelled and will not be settled. |